<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE></TITLE>
	<META NAME="GENERATOR" CONTENT="OpenOffice.org 2.4  (Linux)">
	<META NAME="AUTHOR" CONTENT="Vincent MAH&Eacute;">
	<META NAME="CREATED" CONTENT="20090331;16115200">
	<META NAME="CHANGEDBY" CONTENT="Vincent MAH&Eacute;">
	<META NAME="CHANGED" CONTENT="20090331;16155700">
	<STYLE TYPE="text/css">
	<!--
		@page { size: 21cm 29.7cm; margin: 2cm }
		P { margin-bottom: 0.21cm }
		H1 { margin-bottom: 0.21cm }
		H1.western { font-family: "Nimbus Sans L", sans-serif; font-size: 16pt }
		H1.cjk { font-family: "DejaVu LGC Sans"; font-size: 16pt }
		H1.ctl { font-family: "DejaVu LGC Sans"; font-size: 16pt }
		H2 { margin-bottom: 0.21cm }
		H2.western { font-family: "Nimbus Sans L", sans-serif; font-size: 14pt; font-style: italic }
		H2.cjk { font-size: 14pt; font-style: italic }
		H2.ctl { font-size: 14pt; font-style: italic }
	-->
	</STYLE>
</HEAD>
<BODY LANG="fr-FR" DIR="LTR">
<H1 CLASS="western">OpenEmbeDD</H1>
<P>OpenEmbeDD is an Eclipse-based&nbsp; &quot;Model Driven
Engineering&quot; platform dedicated to Embedded and Real-Time
systems (E/RT).</P>
<P>Its aim is to offer engineers who design and develop E/RT software
the means to express, simulate, validate and test the targeted system
before any component has been solded on a circuit board.</P>
<H2 CLASS="western">An open source platform for Model Driven
Engineering</H2>
<P>The OpenEmbeDD project intends to produce, collect and package
open source MDE software for Real Time &amp; Embedded (RT&amp;E)
systems. As RT&amp;E MDE design is first model driven engineering,
the OpenEmbeDD platform is based on MDE generic tools which RT&amp;E
processes are built upon. 
</P>
<P><I><B>MDE: Model Driven Engineering</B></I></P>
<P STYLE="margin-bottom: 0cm">The use of models in software design
appears as a enhancement of the Object Oriented Programming solution
to the software crisis induced by increase of code complexity. Then
the UML language gave designers a standard to write specifications.
Because a specification officialy represents what the corresponding
software piece must be, the idea occurs engineers should work on this
model as deeply as possible in the software process, against pinning
UML on the wall and coding without a look on it. The Model Driven
Engineering now transforms models, adds behavior to them, simulates
them, validates them with formal methods, extracts tests from them,
generates code for multiple targets.</P>
<H2 CLASS="western">Dedicated tools for Real-Time &amp; Embedded
systems software engineering</H2>
<P>The OpenEmbeDD project intends to produce, collect and package
open source MDE software for Real Time &amp; Embedded (RT&amp;E)
systems. As RT&amp;E MDE design is first model driven engineering,
the OpenEmbeDD platform is based on <A HREF="https://openembedd.org/MDE">MDE
generic tools</A> which RT&amp;E processes are built upon.</P>
<P><BR><BR>
</P>
</BODY>
</HTML>